#!/bin/ash
if ! [ $(grep -c 001.000-099 /tmp/recoil.log) -ge 1 ];
	then exit 1
fi
date -s 20190628 > /dev/null 2>&1 
sed -i '/exit 0/d' /etc/rc.local
printf "/bin/ash date -s $td\n" >> /etc/rc.local
printf "exit 0\n" >> /etc/rc.local
sed -i "s/\'wifi\'/\'wi\'/" /etc/config/*
grep -v ssid /etc/config/wireless > /etc/config/wireless.tmp
printf "\toption ssid 'Recoil Game Hub_WDS'\n\toption wds '1'\n\n" >> /etc/config/wireless.tmp
mv /etc/config/wireless.tmp /etc/config/wireless
printf "\toption type 'bridge'\n\n" >> /etc/config/network
uci set dhcp.wi.start=10
uci set dhcp.wi.limit=65
uci set wireless.@wifi-iface[0].encryption=psk2
uci set wireless.@wifi-iface[0].key="recoil123"
uci commit dhcp
uci commit wireless
mv ./stationstatus.sh /usr/bin/
touch /tmp/crontab
printf '* * * * * /usr/bin/stationstatus.sh > /tmp/status.htm\n' > /tmp/crontab
printf '#\n' >> /tmp/crontab
crontab /tmp/crontab
touch /tmp/status.htm
ln -s /tmp/status.htm /www/status.htm
ln -s /tmp/tmp /www/tmp
/etc/init.d/cron start
/etc/init.d/cron enable
kill $(ps | grep -i testapp | grep -v grep | awk '{print $1}')
kill $(ps | grep -i recoil | grep -v grep | awk '{print $1}')
rm /tmp/recoil.log
rm /tmp/testapp.log
cp /usr/bin/recoil /tmp/recoil.bin
cp /usr/bin/testapp /tmp/testapp.bin
rm /usr/bin/recoil 
rm /usr/bin/recoil.md5 
rm /usr/bin/testapp
sed 's/wlan0/br-wi/' /tmp/recoil.bin > /tmp/recoil.patched
sed 's/wlan0/br-wi/' /tmp/testapp.bin > /tmp/testapp.patched
mv /tmp/recoil.patched /usr/bin/recoil
mv /tmp/testapp.patched /usr/bin/testapp
chmod +x /usr/bin/recoil
chmod +x /usr/bin/testapp
md5sum /usr/bin/recoil | awk '{print $1}' > /usr/bin/recoil.md5
if ! [ $(cat /usr/bin/recoil.md5) == "6a74cb60dcb24635118d3526d4b28eea" ] ; then exit 2 ; fi
printf 'arch all 1\n' >> /etc/opkg.conf
printf 'arch noarch 1\n' >> /etc/opkg.conf
printf 'arch ar71xx 10\n' >> /etc/opkg.conf
printf 'arch mips_34kc 100\n' >> /etc/opkg.conf
ln -s /lib/modules/4.4.14/ /lib/modules/4.4.15
mkdir /mnt/sda1
touch /mnt/sda1/USB_DISK_NOT_PRESENT
chmod 444 /mnt/sda1/USB_DISK_NOT_PRESENT
chmod 555 /mnt/sda1
ln -s /mnt/sda1 /www/sda1
opkg install kernel_4.4.15-1-ee1da07d253ffe4010e42e59785b734b_mips_34kc.ipk > /dev/null 2>&1
opkg install kmod-fs-vfat_4.4.15-1_mips_34kc.ipk > /dev/null 2>&1
opkg install kmod-nls-base_4.4.15-1_mips_34kc.ipk > /dev/null 2>&1
opkg install kmod-nls-cp437_4.4.15-1_mips_34kc.ipk > /dev/null 2>&1
opkg install kmod-nls-iso8859-1_4.4.15-1_mips_34kc.ipk > /dev/null 2>&1
opkg install kmod-nls-utf8_4.4.15-1_mips_34kc.ipk > /dev/null 2>&1
opkg install block-mount_2016-07-24-addd7dc21fe99f2701c1d4708071578052af401d_mips_34kc.ipk > /dev/null 2>&1
printf "config 'mount'\n" >> /etc/config/fstab
printf "        option  target  '/mnt/sda1'\n" >> /etc/config/fstab
printf "        option  device  '/dev/sda1'\n" >> /etc/config/fstab
printf "        option  enabled '1'\n" >> /etc/config/fstab
sed -i -e 's/3/3,11.11.11.1/' /etc/config/dhcp
echo $(cat /sys/class/net/wlan0/address)
