#!/bin/ash
# Fix loss of AP when STA (Client) mode fails by reverting to default
# AP only configuration. 
sleep 15
TIMEOUT=120
SLEEP=3
sta_err=0
while [ $(iwinfo | grep -c "ESSID: unknown") -ge 1 ]; do
let sta_err=$sta_err+1
        if [ $((sta_err * SLEEP)) -ge $TIMEOUT ]; then
                cp /etc/config/wireless.org /etc/config/wireless
                cp /etc/config/network.org /etc/config/network
                cp /etc/config/dhcp.org /etc/config/dhcp
                /etc/init.d/network restart
                /etc/init.d/dnsmasq restart
                sleep $SLEEP
                cp /etc/config/wireless.WDS /etc/config/wireless
                cp /etc/config/network.WDS /etc/config/network
                cp /etc/config/dhcp.WDS /etc/config/dhcp
                killall -q testapp
                killall -q recoil
                sleep $SLEEP
                /etc/uci-defaults/run.sh >/dev/null &
                break
        fi
        sleep $SLEEP
done
